Index: sansmodels/src/sans/models/c_models/CLamellarPSModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CLamellarPSModel.cpp	(revision f10063e8f3c53d2be93abaea9c0d3d4f3061d444)
+++ sansmodels/src/sans/models/c_models/CLamellarPSModel.cpp	(revision c724ccd87499a21402fee0d11d517066f99ddf9b)
@@ -90,12 +90,12 @@
         
         // Initialize parameter dictionary
-        PyDict_SetItemString(self->params,"n_plates",Py_BuildValue("d",20.000000));
-        PyDict_SetItemString(self->params,"scale",Py_BuildValue("d",1.000000));
-        PyDict_SetItemString(self->params,"sld_sol",Py_BuildValue("d",0.000001));
-        PyDict_SetItemString(self->params,"delta",Py_BuildValue("d",30.000000));
-        PyDict_SetItemString(self->params,"spacing",Py_BuildValue("d",400.000000));
-        PyDict_SetItemString(self->params,"caille",Py_BuildValue("d",0.100000));
-        PyDict_SetItemString(self->params,"background",Py_BuildValue("d",0.000000));
-        PyDict_SetItemString(self->params,"sld_bi",Py_BuildValue("d",0.000006));
+        PyDict_SetItemString(self->params,"n_plates",Py_BuildValue("d",20.00000000));
+        PyDict_SetItemString(self->params,"scale",Py_BuildValue("d",1.00000000));
+        PyDict_SetItemString(self->params,"sld_sol",Py_BuildValue("d",0.00000100));
+        PyDict_SetItemString(self->params,"delta",Py_BuildValue("d",30.00000000));
+        PyDict_SetItemString(self->params,"spacing",Py_BuildValue("d",400.00000000));
+        PyDict_SetItemString(self->params,"caille",Py_BuildValue("d",0.10000000));
+        PyDict_SetItemString(self->params,"background",Py_BuildValue("d",0.00000000));
+        PyDict_SetItemString(self->params,"sld_bi",Py_BuildValue("d",0.00000630));
         // Initialize dispersion / averaging parameter dict
         DispersionVisitor* visitor = new DispersionVisitor();
Index: sansmodels/src/sans/models/c_models/CLogNormal.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CLogNormal.cpp	(revision 308052778784baf067479c9e63914a0293dc7ebd)
+++ sansmodels/src/sans/models/c_models/CLogNormal.cpp	(revision c724ccd87499a21402fee0d11d517066f99ddf9b)
@@ -90,7 +90,7 @@
         
         // Initialize parameter dictionary
-        PyDict_SetItemString(self->params,"scale",Py_BuildValue("d",1.000000));
-        PyDict_SetItemString(self->params,"sigma",Py_BuildValue("d",1.000000));
-        PyDict_SetItemString(self->params,"center",Py_BuildValue("d",0.000000));
+        PyDict_SetItemString(self->params,"scale",Py_BuildValue("d",1.00000000));
+        PyDict_SetItemString(self->params,"sigma",Py_BuildValue("d",1.00000000));
+        PyDict_SetItemString(self->params,"center",Py_BuildValue("d",0.00000000));
         // Initialize dispersion / averaging parameter dict
         DispersionVisitor* visitor = new DispersionVisitor();
Index: sansmodels/src/sans/models/c_models/CLorentzian.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CLorentzian.cpp	(revision 308052778784baf067479c9e63914a0293dc7ebd)
+++ sansmodels/src/sans/models/c_models/CLorentzian.cpp	(revision c724ccd87499a21402fee0d11d517066f99ddf9b)
@@ -90,7 +90,7 @@
         
         // Initialize parameter dictionary
-        PyDict_SetItemString(self->params,"scale",Py_BuildValue("d",1.000000));
-        PyDict_SetItemString(self->params,"center",Py_BuildValue("d",0.000000));
-        PyDict_SetItemString(self->params,"gamma",Py_BuildValue("d",1.000000));
+        PyDict_SetItemString(self->params,"scale",Py_BuildValue("d",1.00000000));
+        PyDict_SetItemString(self->params,"center",Py_BuildValue("d",0.00000000));
+        PyDict_SetItemString(self->params,"gamma",Py_BuildValue("d",1.00000000));
         // Initialize dispersion / averaging parameter dict
         DispersionVisitor* visitor = new DispersionVisitor();
Index: sansmodels/src/sans/models/c_models/CMultiShellModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CMultiShellModel.cpp	(revision 308052778784baf067479c9e63914a0293dc7ebd)
+++ sansmodels/src/sans/models/c_models/CMultiShellModel.cpp	(revision c724ccd87499a21402fee0d11d517066f99ddf9b)
@@ -90,12 +90,12 @@
         
         // Initialize parameter dictionary
-        PyDict_SetItemString(self->params,"core_sld",Py_BuildValue("d",0.000006));
-        PyDict_SetItemString(self->params,"core_radius",Py_BuildValue("d",60.000000));
-        PyDict_SetItemString(self->params,"n_pairs",Py_BuildValue("d",2.000000));
-        PyDict_SetItemString(self->params,"w_thickness",Py_BuildValue("d",10.000000));
-        PyDict_SetItemString(self->params,"s_thickness",Py_BuildValue("d",10.000000));
-        PyDict_SetItemString(self->params,"scale",Py_BuildValue("d",1.000000));
-        PyDict_SetItemString(self->params,"background",Py_BuildValue("d",0.000000));
-        PyDict_SetItemString(self->params,"shell_sld",Py_BuildValue("d",0.000000));
+        PyDict_SetItemString(self->params,"core_sld",Py_BuildValue("d",0.00000640));
+        PyDict_SetItemString(self->params,"core_radius",Py_BuildValue("d",60.00000000));
+        PyDict_SetItemString(self->params,"n_pairs",Py_BuildValue("d",2.00000000));
+        PyDict_SetItemString(self->params,"w_thickness",Py_BuildValue("d",10.00000000));
+        PyDict_SetItemString(self->params,"s_thickness",Py_BuildValue("d",10.00000000));
+        PyDict_SetItemString(self->params,"scale",Py_BuildValue("d",1.00000000));
+        PyDict_SetItemString(self->params,"background",Py_BuildValue("d",0.00000000));
+        PyDict_SetItemString(self->params,"shell_sld",Py_BuildValue("d",0.00000040));
         // Initialize dispersion / averaging parameter dict
         DispersionVisitor* visitor = new DispersionVisitor();
Index: sansmodels/src/sans/models/c_models/COblateModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/COblateModel.cpp	(revision 308052778784baf067479c9e63914a0293dc7ebd)
+++ sansmodels/src/sans/models/c_models/COblateModel.cpp	(revision c724ccd87499a21402fee0d11d517066f99ddf9b)
@@ -90,14 +90,14 @@
         
         // Initialize parameter dictionary
-        PyDict_SetItemString(self->params,"major_core",Py_BuildValue("d",200.000000));
-        PyDict_SetItemString(self->params,"scale",Py_BuildValue("d",1.000000));
-        PyDict_SetItemString(self->params,"minor_core",Py_BuildValue("d",20.000000));
-        PyDict_SetItemString(self->params,"axis_theta",Py_BuildValue("d",1.000000));
-        PyDict_SetItemString(self->params,"sld_solvent",Py_BuildValue("d",0.000006));
-        PyDict_SetItemString(self->params,"axis_phi",Py_BuildValue("d",1.000000));
-        PyDict_SetItemString(self->params,"background",Py_BuildValue("d",0.001000));
-        PyDict_SetItemString(self->params,"major_shell",Py_BuildValue("d",250.000000));
-        PyDict_SetItemString(self->params,"contrast",Py_BuildValue("d",0.000001));
-        PyDict_SetItemString(self->params,"minor_shell",Py_BuildValue("d",30.000000));
+        PyDict_SetItemString(self->params,"major_core",Py_BuildValue("d",200.00000000));
+        PyDict_SetItemString(self->params,"scale",Py_BuildValue("d",1.00000000));
+        PyDict_SetItemString(self->params,"minor_core",Py_BuildValue("d",20.00000000));
+        PyDict_SetItemString(self->params,"axis_theta",Py_BuildValue("d",1.00000000));
+        PyDict_SetItemString(self->params,"sld_solvent",Py_BuildValue("d",0.00000630));
+        PyDict_SetItemString(self->params,"axis_phi",Py_BuildValue("d",1.00000000));
+        PyDict_SetItemString(self->params,"background",Py_BuildValue("d",0.00100000));
+        PyDict_SetItemString(self->params,"major_shell",Py_BuildValue("d",250.00000000));
+        PyDict_SetItemString(self->params,"contrast",Py_BuildValue("d",0.00000100));
+        PyDict_SetItemString(self->params,"minor_shell",Py_BuildValue("d",30.00000000));
         // Initialize dispersion / averaging parameter dict
         DispersionVisitor* visitor = new DispersionVisitor();
Index: sansmodels/src/sans/models/c_models/CParallelepipedModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CParallelepipedModel.cpp	(revision f10063e8f3c53d2be93abaea9c0d3d4f3061d444)
+++ sansmodels/src/sans/models/c_models/CParallelepipedModel.cpp	(revision c724ccd87499a21402fee0d11d517066f99ddf9b)
@@ -90,14 +90,14 @@
         
         // Initialize parameter dictionary
-        PyDict_SetItemString(self->params,"short_a",Py_BuildValue("d",35.000000));
-        PyDict_SetItemString(self->params,"short_b",Py_BuildValue("d",75.000000));
-        PyDict_SetItemString(self->params,"scale",Py_BuildValue("d",1.000000));
-        PyDict_SetItemString(self->params,"long_c",Py_BuildValue("d",400.000000));
-        PyDict_SetItemString(self->params,"sldPipe",Py_BuildValue("d",0.000006));
-        PyDict_SetItemString(self->params,"parallel_psi",Py_BuildValue("d",0.000000));
-        PyDict_SetItemString(self->params,"parallel_phi",Py_BuildValue("d",0.000000));
-        PyDict_SetItemString(self->params,"parallel_theta",Py_BuildValue("d",0.000000));
-        PyDict_SetItemString(self->params,"sldSolv",Py_BuildValue("d",0.000001));
-        PyDict_SetItemString(self->params,"background",Py_BuildValue("d",0.000000));
+        PyDict_SetItemString(self->params,"short_a",Py_BuildValue("d",35.00000000));
+        PyDict_SetItemString(self->params,"short_b",Py_BuildValue("d",75.00000000));
+        PyDict_SetItemString(self->params,"scale",Py_BuildValue("d",1.00000000));
+        PyDict_SetItemString(self->params,"long_c",Py_BuildValue("d",400.00000000));
+        PyDict_SetItemString(self->params,"sldPipe",Py_BuildValue("d",0.00000630));
+        PyDict_SetItemString(self->params,"parallel_psi",Py_BuildValue("d",0.00000000));
+        PyDict_SetItemString(self->params,"parallel_phi",Py_BuildValue("d",0.00000000));
+        PyDict_SetItemString(self->params,"parallel_theta",Py_BuildValue("d",0.00000000));
+        PyDict_SetItemString(self->params,"sldSolv",Py_BuildValue("d",0.00000100));
+        PyDict_SetItemString(self->params,"background",Py_BuildValue("d",0.00000000));
         // Initialize dispersion / averaging parameter dict
         DispersionVisitor* visitor = new DispersionVisitor();
Index: sansmodels/src/sans/models/c_models/CProlateModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CProlateModel.cpp	(revision 308052778784baf067479c9e63914a0293dc7ebd)
+++ sansmodels/src/sans/models/c_models/CProlateModel.cpp	(revision c724ccd87499a21402fee0d11d517066f99ddf9b)
@@ -90,12 +90,12 @@
         
         // Initialize parameter dictionary
-        PyDict_SetItemString(self->params,"major_core",Py_BuildValue("d",100.000000));
-        PyDict_SetItemString(self->params,"scale",Py_BuildValue("d",1.000000));
-        PyDict_SetItemString(self->params,"minor_core",Py_BuildValue("d",50.000000));
-        PyDict_SetItemString(self->params,"sld_solvent",Py_BuildValue("d",0.000006));
-        PyDict_SetItemString(self->params,"background",Py_BuildValue("d",0.001000));
-        PyDict_SetItemString(self->params,"major_shell",Py_BuildValue("d",110.000000));
-        PyDict_SetItemString(self->params,"contrast",Py_BuildValue("d",0.000001));
-        PyDict_SetItemString(self->params,"minor_shell",Py_BuildValue("d",60.000000));
+        PyDict_SetItemString(self->params,"major_core",Py_BuildValue("d",100.00000000));
+        PyDict_SetItemString(self->params,"scale",Py_BuildValue("d",1.00000000));
+        PyDict_SetItemString(self->params,"minor_core",Py_BuildValue("d",50.00000000));
+        PyDict_SetItemString(self->params,"sld_solvent",Py_BuildValue("d",0.00000630));
+        PyDict_SetItemString(self->params,"background",Py_BuildValue("d",0.00100000));
+        PyDict_SetItemString(self->params,"major_shell",Py_BuildValue("d",110.00000000));
+        PyDict_SetItemString(self->params,"contrast",Py_BuildValue("d",0.00000100));
+        PyDict_SetItemString(self->params,"minor_shell",Py_BuildValue("d",60.00000000));
         // Initialize dispersion / averaging parameter dict
         DispersionVisitor* visitor = new DispersionVisitor();
Index: sansmodels/src/sans/models/c_models/CSchulz.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CSchulz.cpp	(revision 308052778784baf067479c9e63914a0293dc7ebd)
+++ sansmodels/src/sans/models/c_models/CSchulz.cpp	(revision c724ccd87499a21402fee0d11d517066f99ddf9b)
@@ -90,7 +90,7 @@
         
         // Initialize parameter dictionary
-        PyDict_SetItemString(self->params,"scale",Py_BuildValue("d",1.000000));
-        PyDict_SetItemString(self->params,"sigma",Py_BuildValue("d",1.000000));
-        PyDict_SetItemString(self->params,"center",Py_BuildValue("d",0.000000));
+        PyDict_SetItemString(self->params,"scale",Py_BuildValue("d",1.00000000));
+        PyDict_SetItemString(self->params,"sigma",Py_BuildValue("d",1.00000000));
+        PyDict_SetItemString(self->params,"center",Py_BuildValue("d",0.00000000));
         // Initialize dispersion / averaging parameter dict
         DispersionVisitor* visitor = new DispersionVisitor();
Index: sansmodels/src/sans/models/c_models/CSphereModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CSphereModel.cpp	(revision f10063e8f3c53d2be93abaea9c0d3d4f3061d444)
+++ sansmodels/src/sans/models/c_models/CSphereModel.cpp	(revision c724ccd87499a21402fee0d11d517066f99ddf9b)
@@ -90,9 +90,9 @@
         
         // Initialize parameter dictionary
-        PyDict_SetItemString(self->params,"sldSolv",Py_BuildValue("d",0.000001));
-        PyDict_SetItemString(self->params,"sldSph",Py_BuildValue("d",0.000002));
-        PyDict_SetItemString(self->params,"scale",Py_BuildValue("d",1.000000));
-        PyDict_SetItemString(self->params,"radius",Py_BuildValue("d",60.000000));
-        PyDict_SetItemString(self->params,"background",Py_BuildValue("d",0.000000));
+        PyDict_SetItemString(self->params,"sldSolv",Py_BuildValue("d",0.00000100));
+        PyDict_SetItemString(self->params,"sldSph",Py_BuildValue("d",0.00000200));
+        PyDict_SetItemString(self->params,"scale",Py_BuildValue("d",1.00000000));
+        PyDict_SetItemString(self->params,"radius",Py_BuildValue("d",60.00000000));
+        PyDict_SetItemString(self->params,"background",Py_BuildValue("d",0.00000000));
         // Initialize dispersion / averaging parameter dict
         DispersionVisitor* visitor = new DispersionVisitor();
Index: sansmodels/src/sans/models/c_models/CSquareWellStructure.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CSquareWellStructure.cpp	(revision 308052778784baf067479c9e63914a0293dc7ebd)
+++ sansmodels/src/sans/models/c_models/CSquareWellStructure.cpp	(revision c724ccd87499a21402fee0d11d517066f99ddf9b)
@@ -90,8 +90,8 @@
         
         // Initialize parameter dictionary
-        PyDict_SetItemString(self->params,"welldepth",Py_BuildValue("d",1.500000));
-        PyDict_SetItemString(self->params,"effect_radius",Py_BuildValue("d",50.000000));
-        PyDict_SetItemString(self->params,"volfraction",Py_BuildValue("d",0.040000));
-        PyDict_SetItemString(self->params,"wellwidth",Py_BuildValue("d",1.200000));
+        PyDict_SetItemString(self->params,"welldepth",Py_BuildValue("d",1.50000000));
+        PyDict_SetItemString(self->params,"effect_radius",Py_BuildValue("d",50.00000000));
+        PyDict_SetItemString(self->params,"volfraction",Py_BuildValue("d",0.04000000));
+        PyDict_SetItemString(self->params,"wellwidth",Py_BuildValue("d",1.20000000));
         // Initialize dispersion / averaging parameter dict
         DispersionVisitor* visitor = new DispersionVisitor();
Index: sansmodels/src/sans/models/c_models/CStackedDisksModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CStackedDisksModel.cpp	(revision 308052778784baf067479c9e63914a0293dc7ebd)
+++ sansmodels/src/sans/models/c_models/CStackedDisksModel.cpp	(revision c724ccd87499a21402fee0d11d517066f99ddf9b)
@@ -90,16 +90,16 @@
         
         // Initialize parameter dictionary
-        PyDict_SetItemString(self->params,"core_sld",Py_BuildValue("d",0.000004));
-        PyDict_SetItemString(self->params,"core_thick",Py_BuildValue("d",10.000000));
-        PyDict_SetItemString(self->params,"layer_thick",Py_BuildValue("d",15.000000));
-        PyDict_SetItemString(self->params,"axis_theta",Py_BuildValue("d",0.000000));
-        PyDict_SetItemString(self->params,"layer_sld",Py_BuildValue("d",-0.000000));
-        PyDict_SetItemString(self->params,"axis_phi",Py_BuildValue("d",0.000000));
-        PyDict_SetItemString(self->params,"solvent_sld",Py_BuildValue("d",0.000005));
-        PyDict_SetItemString(self->params,"scale",Py_BuildValue("d",0.010000));
-        PyDict_SetItemString(self->params,"radius",Py_BuildValue("d",3000.000000));
-        PyDict_SetItemString(self->params,"background",Py_BuildValue("d",0.001000));
-        PyDict_SetItemString(self->params,"sigma_d",Py_BuildValue("d",0.000000));
-        PyDict_SetItemString(self->params,"n_stacking",Py_BuildValue("d",1.000000));
+        PyDict_SetItemString(self->params,"core_sld",Py_BuildValue("d",0.00000400));
+        PyDict_SetItemString(self->params,"core_thick",Py_BuildValue("d",10.00000000));
+        PyDict_SetItemString(self->params,"layer_thick",Py_BuildValue("d",15.00000000));
+        PyDict_SetItemString(self->params,"axis_theta",Py_BuildValue("d",0.00000000));
+        PyDict_SetItemString(self->params,"layer_sld",Py_BuildValue("d",-0.00000040));
+        PyDict_SetItemString(self->params,"axis_phi",Py_BuildValue("d",0.00000000));
+        PyDict_SetItemString(self->params,"solvent_sld",Py_BuildValue("d",0.00000500));
+        PyDict_SetItemString(self->params,"scale",Py_BuildValue("d",0.01000000));
+        PyDict_SetItemString(self->params,"radius",Py_BuildValue("d",3000.00000000));
+        PyDict_SetItemString(self->params,"background",Py_BuildValue("d",0.00100000));
+        PyDict_SetItemString(self->params,"sigma_d",Py_BuildValue("d",0.00000000));
+        PyDict_SetItemString(self->params,"n_stacking",Py_BuildValue("d",1.00000000));
         // Initialize dispersion / averaging parameter dict
         DispersionVisitor* visitor = new DispersionVisitor();
Index: sansmodels/src/sans/models/c_models/CStickyHSStructure.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CStickyHSStructure.cpp	(revision 308052778784baf067479c9e63914a0293dc7ebd)
+++ sansmodels/src/sans/models/c_models/CStickyHSStructure.cpp	(revision c724ccd87499a21402fee0d11d517066f99ddf9b)
@@ -90,8 +90,8 @@
         
         // Initialize parameter dictionary
-        PyDict_SetItemString(self->params,"stickiness",Py_BuildValue("d",0.200000));
-        PyDict_SetItemString(self->params,"effect_radius",Py_BuildValue("d",50.000000));
-        PyDict_SetItemString(self->params,"volfraction",Py_BuildValue("d",0.100000));
-        PyDict_SetItemString(self->params,"perturb",Py_BuildValue("d",0.050000));
+        PyDict_SetItemString(self->params,"stickiness",Py_BuildValue("d",0.20000000));
+        PyDict_SetItemString(self->params,"effect_radius",Py_BuildValue("d",50.00000000));
+        PyDict_SetItemString(self->params,"volfraction",Py_BuildValue("d",0.10000000));
+        PyDict_SetItemString(self->params,"perturb",Py_BuildValue("d",0.05000000));
         // Initialize dispersion / averaging parameter dict
         DispersionVisitor* visitor = new DispersionVisitor();
Index: sansmodels/src/sans/models/c_models/CTriaxialEllipsoidModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CTriaxialEllipsoidModel.cpp	(revision 308052778784baf067479c9e63914a0293dc7ebd)
+++ sansmodels/src/sans/models/c_models/CTriaxialEllipsoidModel.cpp	(revision c724ccd87499a21402fee0d11d517066f99ddf9b)
@@ -90,13 +90,13 @@
         
         // Initialize parameter dictionary
-        PyDict_SetItemString(self->params,"scale",Py_BuildValue("d",1.000000));
-        PyDict_SetItemString(self->params,"axis_psi",Py_BuildValue("d",0.000000));
-        PyDict_SetItemString(self->params,"axis_theta",Py_BuildValue("d",1.000000));
-        PyDict_SetItemString(self->params,"semi_axisA",Py_BuildValue("d",35.000000));
-        PyDict_SetItemString(self->params,"semi_axisB",Py_BuildValue("d",100.000000));
-        PyDict_SetItemString(self->params,"semi_axisC",Py_BuildValue("d",400.000000));
-        PyDict_SetItemString(self->params,"axis_phi",Py_BuildValue("d",1.000000));
-        PyDict_SetItemString(self->params,"background",Py_BuildValue("d",0.000000));
-        PyDict_SetItemString(self->params,"contrast",Py_BuildValue("d",0.000005));
+        PyDict_SetItemString(self->params,"scale",Py_BuildValue("d",1.00000000));
+        PyDict_SetItemString(self->params,"axis_psi",Py_BuildValue("d",0.00000000));
+        PyDict_SetItemString(self->params,"axis_theta",Py_BuildValue("d",1.00000000));
+        PyDict_SetItemString(self->params,"semi_axisA",Py_BuildValue("d",35.00000000));
+        PyDict_SetItemString(self->params,"semi_axisB",Py_BuildValue("d",100.00000000));
+        PyDict_SetItemString(self->params,"semi_axisC",Py_BuildValue("d",400.00000000));
+        PyDict_SetItemString(self->params,"axis_phi",Py_BuildValue("d",1.00000000));
+        PyDict_SetItemString(self->params,"background",Py_BuildValue("d",0.00000000));
+        PyDict_SetItemString(self->params,"contrast",Py_BuildValue("d",0.00000530));
         // Initialize dispersion / averaging parameter dict
         DispersionVisitor* visitor = new DispersionVisitor();
Index: sansmodels/src/sans/models/c_models/CVesicleModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CVesicleModel.cpp	(revision 308052778784baf067479c9e63914a0293dc7ebd)
+++ sansmodels/src/sans/models/c_models/CVesicleModel.cpp	(revision c724ccd87499a21402fee0d11d517066f99ddf9b)
@@ -90,10 +90,10 @@
         
         // Initialize parameter dictionary
-        PyDict_SetItemString(self->params,"core_sld",Py_BuildValue("d",0.000006));
-        PyDict_SetItemString(self->params,"thickness",Py_BuildValue("d",30.000000));
-        PyDict_SetItemString(self->params,"scale",Py_BuildValue("d",1.000000));
-        PyDict_SetItemString(self->params,"radius",Py_BuildValue("d",100.000000));
-        PyDict_SetItemString(self->params,"background",Py_BuildValue("d",0.000000));
-        PyDict_SetItemString(self->params,"shell_sld",Py_BuildValue("d",0.000000));
+        PyDict_SetItemString(self->params,"core_sld",Py_BuildValue("d",0.00000636));
+        PyDict_SetItemString(self->params,"thickness",Py_BuildValue("d",30.00000000));
+        PyDict_SetItemString(self->params,"scale",Py_BuildValue("d",1.00000000));
+        PyDict_SetItemString(self->params,"radius",Py_BuildValue("d",100.00000000));
+        PyDict_SetItemString(self->params,"background",Py_BuildValue("d",0.00000000));
+        PyDict_SetItemString(self->params,"shell_sld",Py_BuildValue("d",0.00000050));
         // Initialize dispersion / averaging parameter dict
         DispersionVisitor* visitor = new DispersionVisitor();
Index: sansmodels/src/sans/models/c_models/HayterMSA.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/HayterMSA.cpp	(revision f9bf66165686c721c2f0b3a197f7dda1822721ad)
+++ sansmodels/src/sans/models/c_models/HayterMSA.cpp	(revision c724ccd87499a21402fee0d11d517066f99ddf9b)
@@ -36,5 +36,4 @@
 	effect_radius.set_min(0.0);
 	charge      = Parameter(19.0, true);
-	charge.set_min(0.0);
 	volfraction = Parameter(0.0192, true);
 	volfraction.set_min(0.0);
@@ -57,5 +56,5 @@
 	// Add the background after averaging
 	dp[0] = 2.0*effect_radius();
-	dp[1] = charge();
+	dp[1] = fabs(charge());
 	dp[2] = volfraction();
 	dp[3] = temperature();
Index: sansmodels/src/sans/models/c_models/WrapperGenerator.py
===================================================================
--- sansmodels/src/sans/models/c_models/WrapperGenerator.py	(revision 25a608f5e19bd180280be5c566de99df08fb9e8f)
+++ sansmodels/src/sans/models/c_models/WrapperGenerator.py	(revision c724ccd87499a21402fee0d11d517066f99ddf9b)
@@ -298,5 +298,5 @@
             param_str = "// Initialize parameter dictionary\n"            
             for par in self.params:
-                param_str += "        PyDict_SetItemString(self->params,\"%s\",Py_BuildValue(\"d\",%f));\n" % \
+                param_str += "        PyDict_SetItemString(self->params,\"%s\",Py_BuildValue(\"d\",%10.8f));\n" % \
                     (par, self.params[par])
 
Index: sansmodels/src/sans/models/c_models/c_models.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/c_models.cpp	(revision 5eb91544a3ee42b368ccec3ebcf8e95f75b020a2)
+++ sansmodels/src/sans/models/c_models/c_models.cpp	(revision c724ccd87499a21402fee0d11d517066f99ddf9b)
@@ -15,4 +15,5 @@
 void addCParallelepipedModel(PyObject *module);
 void addCSphereModel(PyObject *module);
+void addCFuzzySphereModel(PyObject *module);
 void addCHardsphereStructure(PyObject *module);
 void addCStickyHSStructure(PyObject *module);
@@ -20,4 +21,5 @@
 void addCHayterMSAStructure(PyObject *module);
 void addCCoreShellModel(PyObject *module);
+void addCCoreFourShellModel(PyObject *module);
 void addCCoreShellCylinderModel(PyObject *module);
 void addCEllipsoidModel(PyObject *module);
@@ -25,4 +27,5 @@
 void addCTriaxialEllipsoidModel(PyObject *module);
 void addCFlexibleCylinderModel(PyObject *module);
+void addCFlexCylEllipXModel(PyObject *module);
 void addCStackedDisksModel(PyObject *module);
 void addCLamellarPSModel(PyObject *module);
@@ -40,4 +43,7 @@
 void addCVesicleModel(PyObject *module);
 void addCBinaryHSModel(PyObject *module);
+//void addCPolymerExclVolModel(PyObject *module);
+void addCFractalModel(PyObject *module);
+void addCPoly_GaussCoil(PyObject *module);
 
 
@@ -213,6 +219,8 @@
 	addCCoreShellCylinderModel(m);
 	addCCoreShellModel(m);
+	addCCoreFourShellModel(m);
 	addCEllipsoidModel(m);
 	addCSphereModel(m);
+	addCFuzzySphereModel(m);
 	addCHardsphereStructure(m);
 	addCStickyHSStructure(m);
@@ -222,4 +230,5 @@
 	addCTriaxialEllipsoidModel(m);
 	addCFlexibleCylinderModel(m);
+	addCFlexCylEllipXModel(m);
 	addCStackedDisksModel(m);
 	addCLamellarPSModel(m);
@@ -242,4 +251,6 @@
 	addCLorentzian(m);
 	addCVesicleModel(m);
-
-}
+	addCPoly_GaussCoil(m);
+	addCFractalModel(m);
+//	addCPolymerExclVolModel(m);
+}
